# DXRubyでフルスクリーン表示テスト

* 2013/05/10更新。
* 2013/04/29作成。

## 概要

以下の表示処理・音楽再生を行い、60FPS前後で動くか確認する。

* 640x480
* BG x 2枚
* 64x64ドット x 512枚
* oggをループ再生


以下のキーを受け付ける。

* F2キー: ウインドウ/フルスクリーン表示の切り替え
* F3キー: スプライト表示のON/OFF
* ESC,Qキー: 終了


## 実行の仕方

fullscrtestdxruby.exe を実行。


## 動作確認環境

* DXRuby 1.5系開発版を使用(フルスクリーン表示が改善されている)
* ogg再生には Ayame/Ruby 0.0.1 を使用。

* Windows7 x64
* ruby 1.9.3p392 mingw32

[DXRuby プロジェクトWiki - ファイル置き場](http://dxruby.sourceforge.jp/cgi-bin/hiki.cgi?%A5%D5%A5%A1%A5%A4%A5%EB%C3%D6%A4%AD%BE%EC)


## exeの作り方

Ruby + DXRuby + ocra 等がインストールされている環境で mkexe.bat を実行。



## 備考

* Ayame/Ruby 0.0.2 を使うと、ocra でexe化できない。また、Ruby 1.9.2上ではスクリプトが不正終了する。

